/**
 * DocumentRoot.java
 *
 * File generated from the LDAStructure::DocumentRoot uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.ldap.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

// End of user code

/**
 * Description of the class DocumentRoot.
 * 
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DocumentRoot", propOrder = { "mixed" })
@XmlRootElement(name = "DocumentRoot")
public class DocumentRoot implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@XmlMixed
	public List<java.io.Serializable> mixed;

	/**
	 * An attribute containing marshalled element node
	 */

	/**
	 * Return mixed.
	 * 
	 * @return mixed
	 */
	public List<java.io.Serializable> getMixed() {
		if (mixed == null) {
			mixed = new ArrayList<java.io.Serializable>();
		}
		return mixed;
	}

	/**
	 * Set a value to attribute mixed.
	 * 
	 * @param mixed
	 *            .
	 */
	public void setMixed(List<java.io.Serializable> mixed) {
		this.mixed = mixed;
	}

	/**
	 * Add a mixed to the mixed collection.
	 * 
	 * @param mixed_elt
	 *            Element to add.
	 */
	public void addMixed(java.io.Serializable mixed_elt) {
		this.mixed.add(mixed_elt);
	}

	/**
	 * Remove a mixed to the mixed collection.
	 * 
	 * @param mixed_elt
	 *            Element to remove
	 */
	public void removeMixed(java.io.Serializable mixed_elt) {
		this.mixed.remove(mixed_elt);
	}

}